GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm2.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "4fdf0307-5cbc-4e08-a12d-b87859a071f4",
"private_locations": [
{
"private_location_id": "d56c60b1-0ea5-4811-821b-7671e4f19dc1",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "970562e3-b0a8-4425-8bf5-c39a9ecc7f7e"
},
{
"private_location_id": "0681a08f-83af-4c4c-9f93-324fb0cc874e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "c383e13b-ef49-4a5d-9506-227f6dea2dd6"
},
{
"private_location_id": "1fd30911-b99e-42d6-967a-4f3681e15111",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "ad1fa98e-61bf-42eb-b5e7-41a8e1dd2fc5"
}
]
},
{
"access_group": "1a7c0faf-cd3b-4667-99f1-c61142198e10",
"private_locations": [
{
"private_location_id": "0681a08f-83af-4c4c-9f93-324fb0cc874e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "c383e13b-ef49-4a5d-9506-227f6dea2dd6"
},
{
"private_location_id": "d56c60b1-0ea5-4811-821b-7671e4f19dc1",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "970562e3-b0a8-4425-8bf5-c39a9ecc7f7e"
},
{
"private_location_id": "1fd30911-b99e-42d6-967a-4f3681e15111",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "ad1fa98e-61bf-42eb-b5e7-41a8e1dd2fc5"
}
]
},
{
"access_group": "9b86baea-0f7b-4966-83c3-95db40b2dfe8",
"private_locations": [
{
"private_location_id": "1fd30911-b99e-42d6-967a-4f3681e15111",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "ad1fa98e-61bf-42eb-b5e7-41a8e1dd2fc5"
},
{
"private_location_id": "0681a08f-83af-4c4c-9f93-324fb0cc874e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "c383e13b-ef49-4a5d-9506-227f6dea2dd6"
},
{
"private_location_id": "1fd30911-b99e-42d6-967a-4f3681e15111",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "ad1fa98e-61bf-42eb-b5e7-41a8e1dd2fc5"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |